IF OBJECT_ID('[RoleTasks_Extended]') IS NOT NULL
	DROP VIEW [RoleTasks_Extended]
GO

CREATE VIEW [RoleTasks_Extended]
AS

	SELECT RT.[Role_Id],
		   R.[Role_Name],
		   T.[Task_Id],
		   T.[Task_Name]

	  FROM [RoleTasks] RT
		   INNER JOIN [Tasks] T
				   ON RT.[Task_Id] = T.[Task_Id]
		   INNER JOIN [Roles] R
				   ON RT.[Role_Id] = R.[Role_Id]

GO
