EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Configuration_GetValue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Configuration',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified ProGet configuration value.'
GO


IF OBJECT_ID('[Configuration_GetValue]') IS NOT NULL DROP PROCEDURE [Configuration_GetValue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Configuration_GetValue]
(
	@Key_Name VARCHAR(200)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Configuration]
	 WHERE [Key_Name] = @Key_Name

END
GO

GRANT EXECUTE ON [Configuration_GetValue] TO [ProGetUser_Role]
GO
